%define phpversion 56

Summary: sme server integration of dl
Name: smeserver-dl
Version: 0.2.3
Release: 1%{?dist}
Epoch: 9
License: GNU GPL version 2
URL: http://www.thregr.org/~wavexx/software/dl/
Group: SMEserver/addon
Source: %{name}-%{version}.tar.gz

BuildArchitectures: noarch
BuildRequires: e-smith-devtools
BuildRoot: %{_tmppath}/%{name}-%{version}
Requires: e-smith-base
Requires: dl
Requires: smeserver-webapps-common

%description
smserver integration of dl

%changelog
* Sun Jan 21 2018 Daniel Berteaud <daniel@firewall-services.com> 0.2.3-1
- Use alt php binary when expiring tickets [SME: 10495] (daniel@firewall-
  services.com)

* Sun Nov 19 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.2-1
- Prepare spec file for tito (daniel@firewall-services.com)

* Wed Jul 26 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.1-1.sme
- Add /var/lib/php/dl to open_basedir for the fpm pool
- Assume MB if no unit is specified for max file size
- Remove hardcoded PHP version, replaced at build time

* Thu Jul 13 2017 Daniel Berteaud <daniel@firewall-services.com> 0.2.0-1.sme
- Support smeserver-php-fpm

* Tue May 31 2016 Daniel Berteaud <daniel@firewall-services.com> 0.1.4-1.sme
- Fix cron job output [SME: 9116]

* Wed Apr 23 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1.3-1.sme
- Fix basic auth on SME9

* Tue Feb 4 2014 Daniel Berteaud <daniel@firewall-services.com> 0.1.2-1.sme
- Grant admin privileges to the admin user

* Sun Nov 24 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1.1-1.sme
- Automatically upgrade the database

* Fri Nov 22 2013 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1.sme
- First release

%prep
%setup -q

%build
perl ./createlinks
find root/ -type f | xargs grep -l __PHP_VERSION__ | xargs sed -i -e "s/__PHP_VERSION__/%{phpversion}/g"
%{__mkdir_p} root/var/log/php/dl
%{__mkdir_p} root/var/lib/php/dl/{tmp,opcache,session}

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
        --dir /var/log/php/dl 'attr(0770,root,www)' \
        --dir /var/lib/php/dl 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/tmp 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/opcache 'attr(0770,root,www)' \
        --dir /var/lib/php/dl/session 'attr(0770,root,www)' \
        > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%clean
rm -rf $RPM_BUILD_ROOT

%postun
